Bug 1017453 - agent can't connect in windows service mode
agent can't connect in windows service mode
Status: CLOSED WORKSFORME
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.2
x86_64 Windows
unspecified Severity medium
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 19:03 EDT by Viet Nguyen
Modified: 2014-08-25 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-25 10:19:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
agent.log (1.77 MB, text/plain)
2013-10-09 19:03 EDT, Viet Nguyen
no flags Details
agent wrapper log (59.02 KB, text/plain)
2013-10-09 19:04 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2013-10-09 19:03:08 EDT
Created attachment 810202 [details]
agent.log

Description of problem:
After going through agent interactive registration with rhq-agent.bat the agent service windows service couldn't start.  See attached log.

Version-Release number of selected component (if applicable):
ER3
Windows 2008 64bit
jre1.7 32 and 64 bit

How reproducible:


Steps to Reproduce:
1. register agent with rhq-agent.bat
2. rhq-agent-wrapper install
3. rhq-agent-wrapper start

Actual results:
agent can't authenticate with server in windows service mode

Expected results:
agent should be able to connect in svc mode

Additional info:
Comment 1 Viet Nguyen 2013-10-09 19:04:14 EDT
Created attachment 810204 [details]
agent wrapper log
Comment 2 Simeon Pinder 2013-11-08 09:41:07 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 4 Larry O'Leary 2014-02-18 16:51:11 EST
This sounds pretty bad. If this BZ is correct, it means that users would not be able to run the agent on a Windows platform.

This would also be a regression so marking it as such.
Comment 6 Jay Shaughnessy 2014-08-25 10:10:50 EDT
I suspect this was an issue with Preferences, or possibly trying to use a 32-Bit JRE.  This works, setting to verified.
Comment 7 Larry O'Leary 2014-08-25 10:19:21 EDT
@Jay, VERIFIED indicates that development made a change/fix and QE validated that the issue no longer occurs post-fix. I don't think this is the case here.

As such, I am closing this as WORKSFORME which is the more appropriate status if I understand what you are saying in comment 6.

If this is not the case, please re-open or respond accordingly.

Note You need to log in before you can comment on or make changes to this bug.